Loading...
Searching...
No Matches
pcl::visualization::PointCloudColorHandler< PointT > Class Template Referenceabstract
Module visualization

Base Handler class for PointCloud colors. More...

`#include <pcl/visualization/point_cloud_color_handlers.h>`

Inheritance diagram for pcl::visualization::PointCloudColorHandler< PointT >:

## Public Types

using | PointCloud = pcl::PointCloud< PointT >
using | PointCloudPtr = typename PointCloud::Ptr
using | PointCloudConstPtr = typename PointCloud::ConstPtr
using | Ptr = shared_ptr< PointCloudColorHandler< PointT > >
using | ConstPtr = shared_ptr< const PointCloudColorHandler< PointT > >

## Public Member Functions

| PointCloudColorHandler ()
| Constructor.
| PointCloudColorHandler (const PointCloudConstPtr &cloud)
| Constructor.
virtual | ~PointCloudColorHandler ()=default
| Destructor.
bool | isCapable () const
| Check if this handler is capable of handling the input data or not.
virtual std::string | getName () const =0
| Abstract getName method.
virtual std::string | getFieldName () const =0
| Abstract getFieldName method.
virtual vtkSmartPointer< vtkDataArray > | getColor () const =0
| Obtain the actual color for the input dataset as a VTK data array.
virtual void | setInputCloud (const PointCloudConstPtr &cloud)
| Set the input cloud to be used.

## Protected Attributes

PointCloudConstPtr | cloud_
| A pointer to the input dataset.
bool | capable_
| True if this handler is capable of handling the input data, false otherwise.
int | field_idx_
| The index of the field holding the data that represents the color.
std::vector< pcl::PCLPointField > | fields_
| The list of fields available for this PointCloud.

## Detailed Description

template<typename PointT>
class pcl::visualization::PointCloudColorHandler< PointT >

Base Handler class for PointCloud colors.

Author
  Radu B. Rusu

Definition at line 65 of file point_cloud_color_handlers.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointT >

using pcl::visualization::PointCloudColorHandler< PointT >::ConstPtr = shared_ptr<const PointCloudColorHandler<PointT> >

Definition at line 73 of file point_cloud_color_handlers.h.

## PointCloud

template<typename PointT >

using pcl::visualization::PointCloudColorHandler< PointT >::PointCloud = pcl::PointCloud<PointT>

Definition at line 68 of file point_cloud_color_handlers.h.

## PointCloudConstPtr

template<typename PointT >

using pcl::visualization::PointCloudColorHandler< PointT >::PointCloudConstPtr = typename PointCloud::ConstPtr

Definition at line 70 of file point_cloud_color_handlers.h.

## PointCloudPtr

template<typename PointT >

using pcl::visualization::PointCloudColorHandler< PointT >::PointCloudPtr = typename PointCloud::Ptr

Definition at line 69 of file point_cloud_color_handlers.h.

## Ptr

template<typename PointT >

using pcl::visualization::PointCloudColorHandler< PointT >::Ptr = shared_ptr<PointCloudColorHandler<PointT> >

Definition at line 72 of file point_cloud_color_handlers.h.

## Constructor & Destructor Documentation

## PointCloudColorHandler() [1/2]

template<typename PointT >

pcl::visualization::PointCloudColorHandler< PointT >::PointCloudColorHandler | ( |  | ) |

inline

Constructor.

Definition at line 76 of file point_cloud_color_handlers.h.

## PointCloudColorHandler() [2/2]

template<typename PointT >

pcl::visualization::PointCloudColorHandler< PointT >::PointCloudColorHandler | ( | const PointCloudConstPtr & | cloud | ) |

inline

Constructor.

Definition at line 81 of file point_cloud_color_handlers.h.

## ~PointCloudColorHandler()

template<typename PointT >

virtual pcl::visualization::PointCloudColorHandler< PointT >::~PointCloudColorHandler | ( |  | ) |

virtual default

Destructor.

## Member Function Documentation

## getColor()

template<typename PointT >

virtual vtkSmartPointer< vtkDataArray > pcl::visualization::PointCloudColorHandler< PointT >::getColor | ( |  | ) | const

pure virtual

Obtain the actual color for the input dataset as a VTK data array.

Deriving handlers should override this method.

Returns
  smart pointer to VTK array if the operation was successful (the handler is capable and the input cloud was given), a null pointer otherwise

Implemented in pcl::visualization::PointCloudColorHandlerRGBHack< PointT >, pcl::visualization::PointCloudColorHandlerRandom< PointT >, pcl::visualization::PointCloudColorHandlerCustom< PointT >, pcl::visualization::PointCloudColorHandlerRGBField< PointT >, pcl::visualization::PointCloudColorHandlerHSVField< PointT >, pcl::visualization::PointCloudColorHandlerGenericField< PointT >, pcl::visualization::PointCloudColorHandlerRGBAField< PointT >, and pcl::visualization::PointCloudColorHandlerLabelField< PointT >.

Referenced by pcl::visualization::PCLVisualizer::updatePointCloud().

## getFieldName()

template<typename PointT >

virtual std::string pcl::visualization::PointCloudColorHandler< PointT >::getFieldName | ( |  | ) | const

pure virtual

Abstract getFieldName method.

Implemented in pcl::visualization::PointCloudColorHandlerRandom< PointT >, pcl::visualization::PointCloudColorHandlerCustom< PointT >, pcl::visualization::PointCloudColorHandlerRGBField< PointT >, pcl::visualization::PointCloudColorHandlerHSVField< PointT >, pcl::visualization::PointCloudColorHandlerGenericField< PointT >, pcl::visualization::PointCloudColorHandlerRGBAField< PointT >, and pcl::visualization::PointCloudColorHandlerLabelField< PointT >.

## getName()

template<typename PointT >

virtual std::string pcl::visualization::PointCloudColorHandler< PointT >::getName | ( |  | ) | const

pure virtual

Abstract getName method.

Implemented in pcl::visualization::PointCloudColorHandlerRandom< PointT >, pcl::visualization::PointCloudColorHandlerCustom< PointT >, pcl::visualization::PointCloudColorHandlerRGBField< PointT >, pcl::visualization::PointCloudColorHandlerHSVField< PointT >, pcl::visualization::PointCloudColorHandlerGenericField< PointT >, pcl::visualization::PointCloudColorHandlerRGBAField< PointT >, and pcl::visualization::PointCloudColorHandlerLabelField< PointT >.

## isCapable()

template<typename PointT >

bool pcl::visualization::PointCloudColorHandler< PointT >::isCapable | ( |  | ) | const

inline

Check if this handler is capable of handling the input data or not.

Definition at line 90 of file point_cloud_color_handlers.h.

References pcl::visualization::PointCloudColorHandler< PointT >::capable_.

## setInputCloud()

template<typename PointT >

virtual void pcl::visualization::PointCloudColorHandler< PointT >::setInputCloud | ( | const PointCloudConstPtr & | cloud | ) |

inline virtual

Set the input cloud to be used.

Parameters

  [in] | cloud | the input cloud to be used by the handler

Reimplemented in pcl::visualization::PointCloudColorHandlerRGBField< PointT >, pcl::visualization::PointCloudColorHandlerGenericField< PointT >, pcl::visualization::PointCloudColorHandlerRGBAField< PointT >, and pcl::visualization::PointCloudColorHandlerLabelField< PointT >.

Definition at line 111 of file point_cloud_color_handlers.h.

References pcl::visualization::PointCloudColorHandler< PointT >::cloud_.

Referenced by pcl::visualization::PointCloudColorHandlerRGBField< PointT >::setInputCloud(), pcl::visualization::PointCloudColorHandlerGenericField< PointT >::setInputCloud(), pcl::visualization::PointCloudColorHandlerRGBAField< PointT >::setInputCloud(), and pcl::visualization::PointCloudColorHandlerLabelField< PointT >::setInputCloud().

## Member Data Documentation

## capable_

template<typename PointT >

bool pcl::visualization::PointCloudColorHandler< PointT >::capable_

protected

True if this handler is capable of handling the input data, false otherwise.

Definition at line 123 of file point_cloud_color_handlers.h.

Referenced by pcl::visualization::PointCloudColorHandlerRGBHack< PointT >::getColor(), pcl::visualization::PointCloudColorHandler< PointT >::isCapable(), pcl::visualization::PointCloudColorHandlerCustom< PointT >::PointCloudColorHandlerCustom(), pcl::visualization::PointCloudColorHandlerCustom< PointT >::PointCloudColorHandlerCustom(), pcl::visualization::PointCloudColorHandlerGenericField< PointT >::PointCloudColorHandlerGenericField(), pcl::visualization::PointCloudColorHandlerHSVField< PointT >::PointCloudColorHandlerHSVField(), pcl::visualization::PointCloudColorHandlerLabelField< PointT >::PointCloudColorHandlerLabelField(), pcl::visualization::PointCloudColorHandlerRandom< PointT >::PointCloudColorHandlerRandom(), pcl::visualization::PointCloudColorHandlerRandom< PointT >::PointCloudColorHandlerRandom(), pcl::visualization::PointCloudColorHandlerRGBAField< PointT >::PointCloudColorHandlerRGBAField(), pcl::visualization::PointCloudColorHandlerRGBField< PointT >::PointCloudColorHandlerRGBField(), and pcl::visualization::PointCloudColorHandlerRGBHack< PointT >::PointCloudColorHandlerRGBHack().

## cloud_

template<typename PointT >

PointCloudConstPtr pcl::visualization::PointCloudColorHandler< PointT >::cloud_

protected

A pointer to the input dataset.

Definition at line 118 of file point_cloud_color_handlers.h.

Referenced by pcl::visualization::PointCloudColorHandlerRGBHack< PointT >::getColor(), and pcl::visualization::PointCloudColorHandler< PointT >::setInputCloud().

## field_idx_

template<typename PointT >

int pcl::visualization::PointCloudColorHandler< PointT >::field_idx_

protected

The index of the field holding the data that represents the color.

Definition at line 126 of file point_cloud_color_handlers.h.

Referenced by pcl::visualization::PointCloudColorHandlerHSVField< PointT >::PointCloudColorHandlerHSVField().

## fields_

template<typename PointT >

std::vector<pcl::PCLPointField> pcl::visualization::PointCloudColorHandler< PointT >::fields_

protected

The list of fields available for this PointCloud.

Definition at line 129 of file point_cloud_color_handlers.h.

Referenced by pcl::visualization::PointCloudColorHandlerHSVField< PointT >::PointCloudColorHandlerHSVField().

The documentation for this class was generated from the following file:

- pcl/visualization/point_cloud_color_handlers.h